Update a Company ContactAsk AIpost https://api.servicem8.com/api_1.0/companycontact/{uuid}.jsonOAuth Scope This endpoint requires the following OAuth scope manage_customer_contacts.Path ParamsuuiduuidrequiredUUID of the Company ContactBody ParamsCompany Contact fields to updatecompany_uuiduuidThe UUID of the company this contact belongs tofirststringFirst name of the company contact. Used for identifying and addressing the contact in communications.laststringLast name of the company contact. Used together with the first name to identify the contact.phonestringPrimary phone number for the contact. Used for voice communications with the contact. Should include area code and can include international code.mobilestringMobile phone number for the contact. Used for SMS communications and alternative voice contact. Should include area code and can include international code.emailstringEmail address of the contact. Used for sending email communications, quotes, invoices, and other electronic correspondence.typestringSpecifies the type of contact. Common values include 'BILLING' for billing contacts and 'JOB' for job contacts. This field determines how the contact is used in the system.is_primary_contactstringIndicates whether this contact is the primary contact for the company. Value of 1 means this is the primary contact, 0 means it is not. A company should have only one active primary contact.uuiduuidUnique identifier for this recordResponses 200Success - The record was updated successfully 400Bad Request - The request is malformed or contains invalid parameters 401Unauthorized - Authentication credentials are missing or invalid 403Forbidden - You don't have permission to update this resource 404Not Found - The record to update does not exist or has been deleted 429Too Many Requests - You have exceeded the rate limit 500Internal Server Error - An unexpected error occurred on the serverUpdated 9 months ago